// This file is a part of the TTRM Program;
// copyright (C) 2001-2002, Alexandros Droseltis;
// it is distributed under the terms of the
// GNU General Public Licence v.2 (read the file LICENCE)
#ifndef FUNC_DIALOG_H
#define FUNC_DIALOG_H

#include<qtabwidget.h>
#include"export.h"
#include"search.h"

class func_dialog : public QTabWidget{
Q_OBJECT

public:
 func_dialog(QWidget *parent=0);
 void set_row(QString row);
 void set_title(QString qtitle);
 void send_row(QString str);
 void send_title(QString str);
 bool get_checked_v();

bool* get_opt(void);
int get_form(void);
int get_trans(void);

signals:
void v_clicked();

 private:
 Export *myExport;
 Search *mySearch;
};

#endif
